Bug 2103153 (CVE-2022-23825) - CVE-2022-23825 hw: cpu: AMD: Branch Type Confusion (non-retbleed)
Summary: CVE-2022-23825 hw: cpu: AMD: Branch Type Confusion (non-retbleed)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-23825
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2103164 2103165 2103166 2103168 2103169 2090227 2090228 2090229 2090230 2090231 2090232 2103159 2103160 2103161 2103162 2103163 2103167 2103170 2103171 2103172 2106592
Blocks: 2058387
TreeView+ depends on / blocked
 
Reported: 2022-07-01 15:04 UTC by Petr Matousek
Modified: 2022-12-14 14:18 UTC (History)
53 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in hw. Aliases in the branch predictor may cause some AMD processors to predict the wrong branch type, potentially leading to information disclosure.
Clone Of:
Environment:
Last Closed: 2022-12-14 14:18:38 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:7198 0 None None None 2022-10-25 22:38:20 UTC
Red Hat Product Errata RHBA-2022:7269 0 None None None 2022-11-01 10:45:14 UTC
Red Hat Product Errata RHBA-2022:7437 0 None None None 2022-11-07 10:45:50 UTC
Red Hat Product Errata RHBA-2022:7836 0 None None None 2022-11-08 12:01:22 UTC
Red Hat Product Errata RHBA-2022:7877 0 None None None 2022-11-09 09:26:43 UTC
Red Hat Product Errata RHBA-2022:9021 0 None None None 2022-12-14 12:03:01 UTC
Red Hat Product Errata RHSA-2022:7110 0 None None None 2022-10-25 08:45:03 UTC
Red Hat Product Errata RHSA-2022:7134 0 None None None 2022-10-25 08:58:58 UTC
Red Hat Product Errata RHSA-2022:7337 0 None None None 2022-11-02 16:34:29 UTC
Red Hat Product Errata RHSA-2022:7338 0 None None None 2022-11-02 16:35:01 UTC
Red Hat Product Errata RHSA-2022:7933 0 None None None 2022-11-15 09:45:35 UTC
Red Hat Product Errata RHSA-2022:8267 0 None None None 2022-11-15 10:48:46 UTC
Red Hat Product Errata RHSA-2022:8973 0 None None None 2022-12-13 16:05:51 UTC
Red Hat Product Errata RHSA-2022:8974 0 None None None 2022-12-13 16:06:32 UTC

Description Petr Matousek 2022-07-01 15:04:29 UTC
Aliases in the branch predictor may cause some AMD processors to predict the wrong branch type potentially leading to information disclosure. Non-retbleed BTC

Comment 5 Avinash Hanwate 2022-07-13 04:53:50 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2106592]

Comment 9 errata-xmlrpc 2022-10-25 08:44:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7110 https://access.redhat.com/errata/RHSA-2022:7110

Comment 10 errata-xmlrpc 2022-10-25 08:58:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7134 https://access.redhat.com/errata/RHSA-2022:7134

Comment 11 errata-xmlrpc 2022-11-02 16:34:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:7337 https://access.redhat.com/errata/RHSA-2022:7337

Comment 12 errata-xmlrpc 2022-11-02 16:34:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:7338 https://access.redhat.com/errata/RHSA-2022:7338

Comment 13 errata-xmlrpc 2022-11-15 09:45:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:7933 https://access.redhat.com/errata/RHSA-2022:7933

Comment 14 errata-xmlrpc 2022-11-15 10:48:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8267 https://access.redhat.com/errata/RHSA-2022:8267

Comment 15 errata-xmlrpc 2022-12-13 16:05:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2022:8973 https://access.redhat.com/errata/RHSA-2022:8973

Comment 16 errata-xmlrpc 2022-12-13 16:06:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2022:8974 https://access.redhat.com/errata/RHSA-2022:8974

Comment 17 Product Security DevOps Team 2022-12-14 14:18:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-23825


Note You need to log in before you can comment on or make changes to this bug.